Subject: Re: bug#6774: Cut and paste with C-w/mouse-2 not working?

From: Kenichi Handa <[email-masked]>
Date: Tue, 17 Aug 2010 21:57:14 +0900

In article <[email-masked]>, Stefan Monnier <[email-masked]> writes:

>>> They are both equally bad.  I think we should add a hook to redisplay
>>> that gets called whenever selection is non-zero.  Then that hook can
>>> do the right thing.
> > Why should redisplay concern selection?

> Because the behavior we want is that "if the user has seen the region
> highlighted, then it has been selected".

Ah, I see.  You wrote:

> I just really don't want to see it implemented in
> set_point_both, and I'm not excited to seeing it in
> command_loop_1 either.

So, are you happy with seeing that in redisplay?

If so, the call of x-set-selection in command_loop_1 for
handling shift-selection should also go to redisplay.  At
least the current place is not good because it doesn't pay
attention to point-adjustment done after "finilize:" label.
When it is done in redisplay, that bug is automatically
fixed.

---
Kenichi Handa
[email-masked]